<?php
$mr = isset($_SESSION['pasien']['mr']) ? $_SESSION['pasien']['mr'] : "";
if($mr){
  $objPatient = HmisRefPatient::LoadByMr($mr);
}
?>
<div class="container">
  <div class="jumbotron" style="background-color:#fff">
    <h3>Identitas</h3>
    <p>Identitas Pasien</p>
    Nama Pasien:
    <input readonly class="form-control" value="<?= $objPatient->FirstName ?>">
    <div style="margin-bottom: 7px"></div>
    No RM:
    <input readonly class="form-control" value="<?= $objPatient->Mr ?>">
    <div style="margin-bottom: 7px"></div>
    Jenis Kelamin:
    <input readonly class="form-control" value="<?= $objPatient->Gender == 'MALE' ? 'Laki-laki' : ($objPatient->Gender == 'FEMALE' ? 'Perempuan' : '') ?>">
    <div style="margin-bottom: 7px"></div>
    Tempat Lahir:
    <input readonly class="form-control" value="<?= $objPatient->PlaceOfBirth ?>">
    <div style="margin-bottom: 7px"></div>
    Tanggal Lahir:
    <input readonly class="form-control" value="<?= $objPatient->DateOfBirth ? $objPatient->DateOfBirth->PhpDate('d-m-Y') : '' ?>">
    <div style="margin-bottom: 7px"></div>
    Golongan Darah:
    <input readonly class="form-control" value="<?= $objPatient->BloodGroup ?>">
    <div style="margin-bottom: 7px"></div>
    Status Nikah:
    <input readonly class="form-control" value="<?= $objPatient->MaritalStateDescription ?>">
    <div style="margin-bottom: 7px"></div>
    Alamat:
    <input readonly class="form-control" value="<?= $objPatient->Address ?>">
    <div style="margin-bottom: 7px"></div>
    Alamat Domisili:
    <input readonly class="form-control" value="<?= $objPatient->DomicilyAddress ?>">
    <div style="margin-bottom: 7px"></div>
    Provinsi:
    <input readonly class="form-control" value="<?= $objPatient->DomicilyProvinceName ?>">
    <div style="margin-bottom: 7px"></div>
    Kota:
    <input readonly class="form-control" value="<?= $objPatient->DomicilyDistrictName ?>">
    <div style="margin-bottom: 7px"></div>
    Kabupaten/Kota:
    <input readonly class="form-control" value="<?= $objPatient->DomicilySubDistrictName ?>">
    <div style="margin-bottom: 7px"></div>
    Kelurahan/Desa:
    <input readonly class="form-control" value="<?= $objPatient->DomicilyVillageName ?>">
    <div style="margin-bottom: 7px"></div>
    No HP:
    <input readonly class="form-control" value="<?= $objPatient->MobilePhone ?>">
    <div style="margin-bottom: 7px"></div>
    Email:
    <!-- <div class="input-group"> -->
      <input readonly class="form-control tampilan-email" value="<?= $objPatient->Email ?>">
      <!-- <div class="input-group-btn">
        <button class="btn btn-success" id="showEditEmail">
          <i class="fa fa-pencil"></i> Edit
        </button>
      </div>
    </div> -->
    <div style="margin-bottom: 7px"></div>
    HP(WhatsApp):
    <!-- <div class="input-group"> -->
      <input readonly class="form-control tampilan-no-wa" value="<?= $objPatient->PhoneWhatsApp ?>">
      <!-- <div class="input-group-btn">
        <button class="btn btn-success" data-toggle="modal" data-target="#myModalWa">
          <i class="fa fa-pencil"></i> Edit
        </button>
      </div>
    </div> -->
    <div style="margin-bottom: 7px"></div>
    Pengingat Kontrol : <b><?= $objPatient->PengingatKontrol == 'AKTIF' ? 'AKTIF' : 'NON AKTIF' ?></b>
    <div style="margin-bottom: 7px"></div>
    Antrian Aktif : <b><?= $objPatient->CounterAntrianOnline ? $objPatient->CounterAntrianOnline : 0 ?></b>
    <hr>
    <button class="btn btn-primary" data-toggle="modal" data-target="#myModal">Edit Data</button>
  </div>
</div>

<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Edit Data</h4>
      </div>
      <div class="modal-body">
        Email:
        <div class="input-group">
          <input readonly class="form-control tampilan-email" value="<?= $objPatient->Email ?>">
          <div class="input-group-btn">
            <button class="btn btn-success" data-toggle="modal" data-target="#myModalEmail">
              <i class="fa fa-pencil"></i> Edit
            </button>
          </div>
        </div>
        No HP(WhatsApp):
        <div class="input-group">
          <input readonly class="form-control tampilan-no-wa" value="<?= $objPatient->PhoneWhatsApp ?>">
          <div class="input-group-btn">
            <button class="btn btn-success" data-toggle="modal" data-target="#myModalWa">
              <i class="fa fa-pencil"></i> Edit
            </button>
          </div>
        </div>
        Pengingat Kontrol:
        <select id="pengingat" class="form-control">
          <option <?= $objPatient->PengingatKontrol == 'NON AKTIF' ? 'selected' : '' ?> value="NON AKTIF">NON AKTIF</option>
          <option <?= $objPatient->PengingatKontrol == 'AKTIF' ? 'selected' : '' ?> value="AKTIF">AKTIF</option>
        </select>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary disabled tombol-loading" style="display:none"><i class="fa fa-spinner fa-spin"></i> Simpan Perubahan</button>
        <button type="button" id="simpan" class="btn btn-primary tombol-non-loading">Simpan Perubahan</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>

<div id="myModalWa" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Edit No HP</h4>
      </div>
      <div class="modal-body">
        No HP(WhatsApp):
        <input id="hpwa" class="form-control" autocomplete="off" value="<?= $objPatient->PhoneWhatsAppBelumValidasi ?>" data-nomorlama="<?= $objPatient->PhoneWhatsAppBelumValidasi ?>">
        <span class="akanVerif">Kode verifikasi akan dikirim melalui WhatsApp ke nomor yang anda input.</span>
        <div style="margin-bottom: 7px"></div>
        <div class="saatVerif" style="display:none">
          Kode Verifikasi:
          <input id="kode" class="form-control" value="" autocomplete="off" >
          <a href="#" id="ulangVerif">Kirim ulang kode verifikasi</a>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary disabled tombol-loading" style="display:none"><i class="fa fa-spinner fa-spin"></i> Memproses</button>
        <button type="button" id="validasiWa" class="btn btn-primary akanVerif" <?= ($objPatient->PhoneWhatsAppBelumValidasi && $objPatient->PhoneWhatsAppBelumValidasi != $objPatient->PhoneWhatsApp ) ? '' : 'style="display:none"' ?> >Validasi</button>
        <button type="button" id="simpanWa" class="btn btn-primary saatVerif" style="display:none">Simpan</button>
        <button type="button" id="pendingWa" class="btn btn-warning">Pending</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
      </div>
    </div>

  </div>
</div>

<div id="myModalEmail" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Edit Email</h4>
      </div>
      <div class="modal-body">
        Email:
        <input id="email" class="form-control" value="<?= $objPatient->Email ?>">
        <span class="akanVerifEmail">Kode verifikasi akan dikirim ke Email yang anda input.</span>
        <div style="margin-bottom: 7px"></div>
        <div class="saatVerifEmail" style="display:none">
          Kode Verifikasi:
          <input id="kode-verif-email" class="form-control" value="">
          <a href="#" id="ulangVerifEmail">Kirim ulang kode verifikasi</a>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary disabled tombol-loading" style="display:none"><i class="fa fa-spinner fa-spin"></i> Memproses</button>
        <button type="button" id="validasiEmail" class="btn btn-primary akanVerifEmail">Validasi</button>
        <button type="button" id="simpanEmail" class="btn btn-primary saatVerifEmail" style="display:none">Simpan</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
      </div>
    </div>

  </div>
</div>

<script>
  'use strict';


  $('#simpan').click(function(){
    // alert('Test')
    $.ajax({
        type: "POST",
        url: '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/HalamanPasien/UbahInfo',
        data: {
                // email : $('#email').val(),
                // hp : $('#hp').val(),
                pengingat : $('#pengingat').val(),
            },
        success: function(data){
            if(data.status == 'success'){
                toastr.success(data.message, 'success', {timeOut: 30000});
                setContent( BASE_URL + "pasien-webservice/info/", "content" );
            }else{
                toastr.error(data.message, 'error');
            }
        },
        error: function(data){
            console.log(data);
            alert('Terjadi kesalahan');
        },
        beforeSend: function(xhr){
            $('.tombol-non-loading').hide();
            $('.tombol-loading').show();
        },
        complete: function(xhr,status){
            $('.tombol-non-loading').show();
            $('.tombol-loading').hide();
        },
    });
  })

  $('#validasiWa').click(function(){
    if(! $('#hpwa').val()){
      toastr.warning('Nomor HP masih kosong', 'Peringatan');
      return null;
    }
    // alert('Test')
    $.ajax({
        type: "POST",
        url: '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/HalamanPasien/UbahWa',
        data: {
                hp : $('#hpwa').val(),
            },
        success: function(data){
            if(data.status == 'success'){
              toastr.success(data.message, 'Info', {timeOut: 30000});
              $('.saatVerif').show();
              $('.akanVerif').hide();
            }else{
                toastr.error(data.message, 'error');
                $('#validasiWa').show();
            }
        },
        error: function(data){
            console.log(data);
            $('#validasiWa').show();
            alert('Terjadi kesalahan');
        },
        beforeSend: function(xhr){
            $('.tombol-non-loading').hide();
            $('.tombol-loading').show();
            $('#validasiWa').hide();
        },
        complete: function(xhr,status){
            $('.tombol-non-loading').show();
            $('.tombol-loading').hide();
        },
    });
  })

  $('#simpanWa').click(function(){
    if(! $('#kode').val()){
      toastr.warning('Kode Verifikasi masih kosong. Cek WhatsApp anda untuk mengetahui kode verifikasi', 'Peringatan');
      return null;
    }
    // alert('Test')
    $.ajax({
        type: "POST",
        url: '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/HalamanPasien/SimpanWa',
        data: {
                kode : $('#kode').val(),
            },
        success: function(data){
            if(data.status == 'success'){
              toastr.success(data.message, 'Info');
              // setContent( BASE_URL + "pasien-webservice/info/", "content" );
              $('.tampilan-no-wa').val(data.wa);
              $('#myModalWa').modal('hide');
            }else{
                toastr.error(data.message, 'error');
                $('#simpanWa').show();
            }
        },
        error: function(data){
            console.log(data);
            alert('Terjadi kesalahan');
            $('#simpanWa').show();
        },
        beforeSend: function(xhr){
            $('.tombol-non-loading').hide();
            $('.tombol-loading').show();
            $('#simpanWa').hide();
        },
        complete: function(xhr,status){
            $('.tombol-non-loading').show();
            $('.tombol-loading').hide();
        },
    });
  })

  $('#pendingWa').click(function(){
    $.ajax({
        type: "POST",
        url: '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/HalamanPasien/PendingSimpanWa',
        data: {
              hp : $('#hpwa').val(),
            },
        success: function(data){
            if(data.status == 'success'){
              toastr.success(data.message, 'Info');
              $('#myModalWa').modal('hide');
            }else{
                toastr.error(data.message, 'error');
            }
        },
        error: function(data){
            console.log(data);
            alert('Terjadi kesalahan');
        },
        beforeSend: function(xhr){
          $('#pendingWa').text('Memproses');
        },
        complete: function(xhr,status){
          $('#pendingWa').text('Pending');
        },
    });
  })

  $('#ulangVerif').click(function(){
    $.ajax({
        type: "POST",
        url: '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/HalamanPasien/KodeValidasiUlangWa',
        data: {
              hp : $('#hpwa').val(),
            },
        success: function(data){
            if(data.status == 'success'){
              toastr.success(data.message, 'Info');
            }else{
                toastr.error(data.message, 'error');
            }
        },
        error: function(data){
            console.log(data);
            alert('Terjadi kesalahan');
        },
        beforeSend: function(xhr){
          $('#ulangVerif').hide();
        },
        complete: function(xhr,status){
          $('#ulangVerif').show();
        },
    });
  })

  $('#hpwa').on('input', function(){
    if($(this).val() == $(this).data('nomorlama')){
      $('#validasiWa').hide();
    }else{
      $('#validasiWa').show();
    }
  })

  //--------------------------------------------------------------------------------------
  $('#validasiEmail').click(function(){
    if(! $('#email').val()){
      toastr.warning('alamat Email masih kosong', 'Peringatan');
      return null;
    }
    // alert('Test')
    $.ajax({
        type: "POST",
        url: '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/HalamanPasien/UbahEmail',
        data: {
                email : $('#email').val(),
            },
        success: function(data){
            if(data.status == 'success'){
              toastr.success(data.message, 'Info', {timeOut: 30000});
              $('.saatVerifEmail').show();
              $('.akanVerifEmail').hide();
            }else{
                toastr.error(data.message, 'error');
                $('#validasiEmail').show();
            }
        },
        error: function(data){
            console.log(data);
            $('#validasiEmail').show();
            alert('Terjadi kesalahan');
        },
        beforeSend: function(xhr){
            $('.tombol-non-loading').hide();
            $('.tombol-loading').show();
            $('#validasiEmail').hide();
        },
        complete: function(xhr,status){
            $('.tombol-non-loading').show();
            $('.tombol-loading').hide();
        },
    });
  })

  $('#ulangVerifEmail').click(function(){
    $.ajax({
        type: "POST",
        url: '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/HalamanPasien/KodeValidasiUlangEmail',
        data: {
              email : $('#email').val(),
            },
        success: function(data){
            if(data.status == 'success'){
              toastr.success(data.message, 'Info');
            }else{
                toastr.error(data.message, 'error');
            }
        },
        error: function(data){
            console.log(data);
            alert('Terjadi kesalahan');
        },
        beforeSend: function(xhr){
          $('#ulangVerifEmail').hide();
        },
        complete: function(xhr,status){
          $('#ulangVerifEmail').show();
        },
    });
  })

  $('#simpanEmail').click(function(){
    if(! $('#kode-verif-email').val()){
      toastr.warning('Kode Verifikasi masih kosong. Cek Email anda untuk mengetahui kode verifikasi', 'Peringatan');
      return null;
    }
    // alert('Test')
    $.ajax({
        type: "POST",
        url: '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/HalamanPasien/SimpanEmail',
        data: {
                kode : $('#kode-verif-email').val(),
            },
        success: function(data){
            if(data.status == 'success'){
              toastr.success(data.message, 'Info');
              // setContent( BASE_URL + "pasien-webservice/info/", "content" );
              $('.tampilan-email').val(data.email);
              $('#myModalEmail').modal('hide');
            }else{
                toastr.error(data.message, 'error');
                $('#simpanEmail').show();
            }
        },
        error: function(data){
            console.log(data);
            alert('Terjadi kesalahan');
            $('#simpanEmail').show();
        },
        beforeSend: function(xhr){
            $('.tombol-non-loading').hide();
            $('.tombol-loading').show();
            $('#simpanEmail').hide();
        },
        complete: function(xhr,status){
            $('.tombol-non-loading').show();
            $('.tombol-loading').hide();
        },
    });
  })
</script>