<?php
$mr = isset($_SESSION['pasien']['mr']) ? $_SESSION['pasien']['mr'] : "";
if($mr){
  $objPatient = HmisRefPatient::LoadByMr($mr);
}
?>
<div class="container">
  <div class="jumbotron" style="background-color:#fff">
    <h2>Jadwal Kontrol</h2>
    <!-- <div class="table-responsive"> -->
      <table id="jadwal_kontrol_record_list" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
      </table>
    <!-- </div> -->
  </div>
</div>

<script>
  'use_strict';

  var tablePre = $('#jadwal_kontrol_record_list').DataTable({
    'dom':'<"row"<"col-sm-6"ir><"col-sm-6">>tp'
    , 'language': {
        'processing': '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
    }
    , 'processing': true
    , 'serverSide': true
    , 'ordering' : false
    , 'info': false
    , 'paging': true
    , 'pageLength': 25
    , 'lengthMenu': [25]
    , "ajax": {
        'url' :'<?= QApplication::UrlActionCreator('HalamanPasien/JadwalKontrol') ?>'
        , 'type' : 'POST'
        , 'data': function(d) {
            d.pageId = '';
        }
    }
    , 'order': [[0,'desc']]
    , "columns": [
          {
            'title': 'Id'
            ,'data': 'Id'
            ,'width': '35px'
            ,'searchable': true
            ,'visible' : false
            // ,'sortable': true
          }
        , {
            'title': 'Tgl Kontrol'
            ,'data': 'TanggalKontrol'
            // ,'width': '18%'
            ,'searchable': true
            // ,'sortable': true
        }
        , {
            'title': 'Tujuan Kontrol'
            ,'data': 'PoliTujuanKontrol'
            // ,'width': '22%'
            ,'searchable': true
            // ,'sortable': true
        }
        , {
            'title': 'Dokter'
            ,'data': 'DoctorName'
            // ,'width': '22%'
            ,'searchable': true
            // ,'sortable': true
        }
    ], rowCallback: function(row,data){}
} );
</script>
