<style>
td.align-c{
  text-align: center;
}
.minh100{
  min-height: 100px;
}
</style>
<div class="container">
  <div class="jumbotron" style="background-color: #fff;">
    <h2>Radiologi</h2>
    <p>Pemeriksaan Radiologi</p>
    <!-- <div class="table-responsive"> -->
      <table id="pemeriksaan_radiologi_record_list" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
      </table>
    <!-- </div> -->
  </div>
</div>

<script>
  'use_strict';

  var tablePre = $('#pemeriksaan_radiologi_record_list').DataTable({
    'dom':'<"row"<"col-sm-6"ir><"col-sm-6">>tp'
    , 'language': {
        'processing': '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
    }
    , 'processing': true
    , 'serverSide': true
    , 'ordering' : false
    , 'info': false
    , 'paging': true
    , 'pageLength': 25
    , 'lengthMenu': [25]
    , "ajax": {
        'url' :'<?= QApplication::UrlActionCreator('HalamanPasien/PemeriksaanRadiologi') ?>'
        , 'type' : 'POST'
        , 'data': function(d) {
            d.pageId = '';
        }
    }
    , 'order': [[0,'desc']]
    , "columns": [
          {
            'title': 'Id'
            ,'data': 'Id'
            ,'width': '35px'
            ,'searchable': true
            ,'visible' : false
            // ,'sortable': true
          }
        ,{
            'title': 'No'
            ,'data': 'No'
            ,'width': '35px'
            ,'searchable': false
            ,'sortable': false
          }
        , {
            'title': 'Tgl Periksa'
            ,'data': 'RequestDateTime'
            // ,'width': '15%'
            ,'searchable': true
            // ,'sortable': true
        }
        , {
          'title': 'Dokter'
          ,'data': 'RequestByDoctorName'
          // ,'width': '22%'
          ,'searchable': true
          // ,'sortable': true
          ,'className' : 'hidden-xs'
        }
        , {
          'title': 'Pemeriksaan'
          ,'data': 'RequestExaminationDescription'
          // ,'width': '22%'
          ,'searchable': true
          // ,'sortable': true
        }
        , {
            'title': 'Hasil'
            ,'data': 'Id'
            ,'width': '22%'
            ,'searchable': true
            // ,'sortable': true
            ,'className': 'align-c'
            ,'render': function ( data, type, row, meta ) {
              return '<button class="btn btn-sm btn-primary btnLihat">Lihat</button>';
            }
        }
    ], rowCallback: function(row,data){}
} );

$(document).off('click', '.btnLihat').on('click', '.btnLihat', function () {
    var row = tablePre.row( $(this).parents('tr') ).data();
    var strOptionCard = 'data='+row.Id
    var url = '<?= QApplication::UrlCreator('pemeriksaan/main')?>?data='+row.Id
    openInNewTab(url);
});

function openInNewTab(url) {
    var win = window.open(url, '_blank');
    win.focus();
}
</script>