<?php
$mr = isset($_SESSION['pasien']['mr']) ? $_SESSION['pasien']['mr'] : "";
if ($mr) {
    $objPatient = HmisRefPatient::LoadByMr($mr);
}
$tahap = 1;
?>

<div class="container">
    <div class="jumbotron">
        <h3>Telemedicine</h3>

        <!--  -->

        <section class="content">

            <div class="row animated fadeInRight">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-body with-border">
                            <form method="post" action="" class="form-horizontal">
                                <div class="wizard">

                                    <ul class="nav nav-wizard">

                                        <li id="tab_cara_bayar" class="wiz-tab active ">1. Cara Bayar</li>
                                        <li id="tab_tanggal" class="wiz-tab disabled ">2. Tanggal</li>
                                        <li id="tab_dokter" class="wiz-tab disabled ">3. Pilih Dokter</li>
                                        <li id="tab_konfirmasi" class="wiz-tab disabled ">4. Konfirmasi</li>
                                    </ul>

                                    <div class="tab-content" style="border: 1px solid #d4d4d4;">

                                        <div class="tab-pane tab-first active" id="pane_cara_bayar">
                                            <div class="form-horizontal col-md-12">
                                                <br>

                                                <div class="form-group">
                                                    <label class="col-md-3" style="font-weight:bold;">Nama</label>
                                                    <div class="col-md-8">
                                                        <input disabled type="text" autocomplete="off" class="form-control input" value="<?= $objPatient->FirstName ?>" style="height:24px;">
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-3" style="font-weight:bold;">No HP</label>
                                                    <div class="col-md-8">
                                                        <input type="text" id="hp" autocomplete="off" class="form-control input" value="<?= $objPatient->MobilePhone ?>" style="height:24px;">
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-3" style="font-weight:bold;">Pilih Cara Bayar</label>
                                                    <div class="col-md-8">
                                                        <select id="caraBayar" class="form-control">
                                                            <option value="">Pilih..</option>
                                                            <option value="UMUM">UMUM/TUNAI</option>
                                                            <option value="BPJS">BPJS</option>
                                                            <option value="KERJASAMA">KERJASAMA</option>
                                                        </select> 
                                                    </div>
                                                </div>
                                                <div class="form-group caraBayarBpjs" style="display:none">
                                                    <label class="col-md-3" style="font-weight:bold;">No Kartu BPJS</label>
                                                    <div class="col-md-8">
                                                        <input type="text" autocomplete="off" name="noka" id="noka" class="form-control input" placeholder="No Kartu" value="<?= $objPatient->InsuranceNumber ?>" style="height:24px;">
                                                    </div>
                                                </div>
                                                <div class="form-group caraBayarBpjs" style="display:none">
                                                    <label class="col-md-3" style="font-weight:bold;">No Rujukan</label>
                                                    <div class="col-md-8">
                                                        <input type="text" autocomplete="off" name="noRujukan" id="noRujukan" class="form-control input" placeholder="No Rujukan" value="" style="height:24px;">
                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <label class="col-md-3"></label>
                                                    <div class="col-md-8">
                                                        <!-- <a class="btn btn-danger" id="pilihCaraBayarKembali">Kembali</a> -->
                                                        <a href="#" id="lanjutPilihTanggal" class="btn btn-primary">Lanjutkan</a>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>

                                        <div class="tab-pane" id="pane_tanggal">
                                            <div class="form-horizontal col-md-12">
                                                <br>

                                                <div class="form-group">
                                                    <label class="col-md-3" style="font-weight:bold;">Tanggal</label>
                                                    <div class="col-md-8">
                                                        <input type="text" autocomplete="off" name="tanggal" id="tanggal" class="form-control input input-date" data-date-start-date="+0d" required="required" placeholder="Tanggal" value="" style="height:24px;">
                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <label class="col-md-3" style="font-weight:bold;">Poli</label>
                                                    <div class="col-md-8">
                                                        <select data-plugin-selecttwo class="form-control poli" title="" name="poli" id="poli" data-placeholder="Ketik Nama Poli">
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <label class="col-md-3">&nbsp;</label>
                                                    <div class="col-md-6">
                                                        <div class="formControl">
                                                        <a class="btn btn-danger" id="pilihCaraBayarKembali">Kembali</a>
                                                        <a href="#" id="lanjutPilihDokter" class="btn btn-primary">Lanjutkan</a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="tab-pane " id="pane_dokter">
                                            <div class="form-horizontal col-md-12">
                                                <br>
                                                <div class="form-group"><label class="col-md-3" style="font-weight:bold;">Pilih Dokter</label>
                                                    <div class="col-md-8">
                                                        <select data-plugin-selecttwo class="form-control dokter" title="" name="dokter" id="dokter">
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <label class="col-md-3">&nbsp;</label>
                                                    <div class="col-md-9">
                                                        <div class="formControl">
                                                            <input type="button" id="pilihDokterKembali" class="btn btn-danger input" value="Kembali">
                                                            <a class="btn btn-success" id="konfirmasiAntrian">Konfirmasi</a>
                                                            <!-- <input type="button" id="lanjutPilihCaraBayar" class="btn btn-primary input" value="Lanjutkan"> -->
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>

                                        <div class="tab-pane" id="pane_konfirmasi">
                                            <div class="form-horizontal col-md-12">
                                                <br>
                                                
                                                <div class="form-group">
                                                    <label class="col-md-3" style="font-weight:bold;">Tanggal</label>
                                                    <div class="col-md-8">
                                                        <input readonly class="form-control" id="viewTanggal">
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-3" style="font-weight:bold;">Poli</label>
                                                    <div class="col-md-8">
                                                        <input readonly class="form-control" id="viewPoli">
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-3" style="font-weight:bold;">Dokter</label>
                                                    <div class="col-md-8">
                                                        <input readonly class="form-control" id="viewDokter">
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-3" style="font-weight:bold;">Cara Bayar</label>
                                                    <div class="col-md-8">
                                                        <input readonly class="form-control" id="viewCaraBayar">
                                                    </div>
                                                </div>
                                                <div class="form-group caraBayarBpjs" style="display:none">
                                                    <label class="col-md-3" style="font-weight:bold;">No Rujukan</label>
                                                    <div class="col-md-8">
                                                        <input readonly class="form-control" id="viewNoRujukan">
                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <label class="col-md-3"></label>
                                                    <div class="col-md-8">
                                                        <!-- <button class="btn btn-primary" id="cetak">Cetak</button> -->
                                                        <a class="btn btn-danger" id="konfirmasiKembali">Kembali</a>
                                                        <a class="btn btn-success" id="kirimDataAntrian">Kirim</a>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <div class="clearfix"></div>

                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </section>

        <!--  -->

    </div>
</div>

<script>
    'use strict';

    var tanggal = '';
    var nokaDitinjau = '';
    var noRujukanDitinjau = '';

    $('.input-date').datepicker({
        format: "dd-mm-yyyy",
        autoclose: true,
        endDate: null
    });

    $('.input-date').inputmask('99-99-9999');
    $('.input-date').blur(function(elm) {
        if ($(elm.target).val()) {
            var cekTanggal = $(elm.target).val();

            var aDate = moment(cekTanggal, 'DD-MM-YYYY', true);
            var isDateValid = aDate.isValid();
            if (!isDateValid) {
                toastr.warning('Format Tanggal Tidak Sesuai', 'Peringatan');
                $(elm.target).focus();
            }
        }
    });

    $('#lanjutPilihTanggal').click(function(){
        if(! $('#caraBayar').val()){
            toastr.warning('Cara bayar tidak boleh kosong', 'Peringatan');
            return;
        }
        if($('#caraBayar').val() === 'BPJS'){
            if($('#noka').val().length != 13){
                toastr.warning('No Kartu harus 13 karakter', 'Peringatan');
                return;
            }
            if($('#noRujukan').val().length != 19){
                toastr.warning('No Rujukan harus 19 karakter', 'Peringatan');
                return;
            }
            //
            if(nokaDitinjau && nokaDitinjau === $('#noka').val() && noRujukanDitinjau && noRujukanDitinjau === $('#noRujukan').val() ){
                return bukaPaneTanggal();
            }
            $.ajax({
                data: {
                    noRujukan : $('#noRujukan').val(),
                },
                url: "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/CekNoRjujukan/?pageId=')?><?=$strPageId?>",
                type: "POST",
                timeout: 5* 60 * 1000,
                success: function(result){
                    if(result.noRujukan != $('#noRujukan').val()){
                        toastr.warning('No Rujukan Tidak ditemukan', 'Peringatan');
                        return null;
                    }
                    if(result.noKartu != $('#noka').val()){
                        toastr.warning('No Kartu tidak sesuai', 'Peringatan');
                        return null;
                    }
                    nokaDitinjau = result.noKartu;
                    noRujukanDitinjau = result.noRujukan;
                    bukaPaneTanggal();
                },
                error: function(xhr,status,error){
                    alert('error')
                },
                beforeSend: function(xhr){
                    $('#lanjutPilihTanggal').hide();
                },
                complete: function(xhr,status){
                    $('#lanjutPilihTanggal').show();
                }
            })
            //
        }else{
            bukaPaneTanggal();
        }
    })

    function bukaPaneTanggal(){
        $('#tab_cara_bayar').addClass('disabled').removeClass('active');
        $('#tab_tanggal').addClass('active').removeClass('disabled');

        $('#pane_cara_bayar').addClass('disabled').removeClass('active');
        $('#pane_tanggal').addClass('active').removeClass('disabled');
    }

    $('#tanggal').on('change keydown input', function(){
        console.log('aaa');
        $("#poli").chosen({width: "100%"}); 
        var tanggal = $('#tanggal').val();
        var strSearch = '';
        $.ajax({
        data: {},
        url: "<?= QApplication::UrlActionCreator('JadwalControl/PoliByDate/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch + '&tanggal=' + tanggal + '&online=OK' + '&telemedicine=OK',
        type: "GET",
        timeout: 5* 60 * 1000,
        success: function(result){
            $("#poli").html('');
            if(typeof $("#poli").chosen === 'function'){
                $("#poli").trigger("chosen:updated");
            }
            result.forEach(function(data){
                $("#poli").append('<option value="'+data.id+'">'+data.text+'</option>')
            });
            if(typeof $("#poli").chosen === 'function'){
                $("#poli").trigger("chosen:updated");
            }else{
                $("#poli").chosen({width: "100%"}); 
            }
        },
        error: function(xhr,status,error){alert('error')},
        beforeSend: function(xhr){},
        complete: function(xhr,status){}
        })
    })

    $('#lanjutPilihDokter').click(function(){
        if(! $('#tanggal').val() || ! $('#poli').val()){
            toastr.warning('Tanggal dan Poli Tujuan tidak boleh kosong', 'Peringatan');
            return;
        }
        $('#tab_tanggal').addClass('disabled').removeClass('active');
        $('#tab_dokter').addClass('active').removeClass('disabled');

        $('#pane_tanggal').addClass('disabled').removeClass('active');
        $('#pane_dokter').addClass('active').removeClass('disabled');
        aktifkanPilihanDokter();
    })
    $('#pilihDokterKembali').click(function(){
        $('#tab_tanggal').addClass('active').removeClass('disabled');
        $('#tab_dokter').addClass('disabled').removeClass('active');

        $('#pane_tanggal').addClass('active').removeClass('disabled');
        $('#pane_dokter').addClass('disabled').removeClass('active');
    })

    var aktifkanPilihanDokter = function(){
        $("#dokter").chosen({width: "100%"}); 
        var tanggal = $('#tanggal').val();
        var poli = $('#poli').val();
        var strSearch = "";
        $.ajax({
        data: {},
        url: "<?= QApplication::UrlActionCreator('JadwalControl/DokterPoliAktif/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch + '&tanggal=' + tanggal + '&poli=' + poli + '&online=OK',
        type: "GET",
        timeout: 5* 60 * 1000,
        success: function(result){
            $("#dokter").html('');
            if(typeof $("#dokter").chosen === 'function'){
                $("#dokter").trigger("chosen:updated");
            }
            result.forEach(function(data){
                if(data.id){
                    $("#dokter").append('<option value="'+data.id+'">'+data.text+'</option>');
                }
            });
            if(typeof $("#dokter").chosen === 'function'){
                $("#dokter").trigger("chosen:updated");
            }else{
                $("#dokter").chosen({width: "100%"}); 
            }
        },
        error: function(xhr,status,error){alert('error')},
        beforeSend: function(xhr){},
        complete: function(xhr,status){}
        })

        // $('#dokter').ajaxChosen({
        //     type: 'GET'
        //     , dataType: 'json'
        //     , width: '100%'
        // },{
        //     useAjax: function(e){ return true; }
        //     , minLength: 0
        //     , processItems: function(data){
        //         // alert(JSON.stringify(data));
        //         return data;
        //     }
        //     , generateUrl: function(strSearch){
        //         var tanggal = $('#tanggal').val();
        //         var poli = $('#poli').val();
        //         return "<?= QApplication::UrlActionCreator('JadwalControl/DokterPoliAktif/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch + '&tanggal=' + tanggal + '&poli=' + poli
        //     }
        // }, {
        //         allow_single_deselect: true //jejak jejak
        //     }).on('change', function(e) {
        //     // NOTHING
        // });
    }

    // $('#lanjutPilihCaraBayar').click(function(){
    //     if(! $('#dokter').val()){
    //         toastr.warning('Dokter tidak boleh kosong', 'Peringatan');
    //         return;
    //     }
    //     $('#tab_dokter').addClass('disabled').removeClass('active');
    //     $('#tab_cara_bayar').addClass('active').removeClass('disabled');

    //     $('#pane_dokter').addClass('disabled').removeClass('active');
    //     $('#pane_cara_bayar').addClass('active').removeClass('disabled');
    // })
    $('#pilihCaraBayarKembali').click(function(){
        console.log('pilihCaraBayarKembali');
        $('#tab_cara_bayar').addClass('active').removeClass('disabled');
        $('#tab_tanggal').addClass('disabled').removeClass('active');

        $('#pane_cara_bayar').addClass('active').removeClass('disabled');
        $('#pane_tanggal').addClass('disabled').removeClass('active');
    })
    
    $('#caraBayar').change(function(){
        if($(this).val() === 'BPJS'){
            $('.caraBayarBpjs').show();
        }else{
            $('.caraBayarBpjs').hide();
        }
    })

    $('#konfirmasiAntrian').click(function(){
        $('#tab_dokter').addClass('disabled').removeClass('active');
        $('#tab_konfirmasi').addClass('active').removeClass('disabled');

        $('#pane_dokter').addClass('disabled').removeClass('active');
        $('#pane_konfirmasi').addClass('active').removeClass('disabled');

        updatePanelKonfirmasi()
    })

    $('#konfirmasiKembali').click(function(){
        $('#tab_dokter').addClass('active').removeClass('disabled');
        $('#tab_konfirmasi').addClass('disabled').removeClass('active');

        $('#pane_dokter').addClass('active').removeClass('disabled');
        $('#pane_konfirmasi').addClass('disabled').removeClass('active');
    })

    function updatePanelKonfirmasi(){
        var tanggal = $('#tanggal').val()
        var poli = $('#poli option:selected').text()
        var dokter = $('#dokter option:selected').text()
        var caraBayar = $('#caraBayar').val()
        var noRujukan = $('#noRujukan').val()

        $('#viewTanggal').val(tanggal);
        $('#viewPoli').val(poli);
        $('#viewDokter').val(dokter);
        $('#viewCaraBayar').val(caraBayar);
        $('#viewNoRujukan').val(noRujukan);
    }

    $('#kirimDataAntrian').click(function(){
        if($('#caraBayar').val() === 'BPJS'){
            var noka = $('#noka').val();
            var noRujukan = $('#noRujukan').val();
        }else{
            var noka = '';
            var noRujukan = '';
        }

        var data = {
            patientId : '<?= $objPatient->Id ?>',
            hp : $('#hp').val(),
            bookingPayment : $('#caraBayar').val(),
            noka : noka,
            noRujukan : noRujukan,
            tanggalBooking : $('#tanggal').val(),
            poli: $('#poli').val(),
            dokter : $("#dokter").val(),
        };

        $.ajax({
            data: data,
            url: "<?= QApplication::UrlActionCreator('JadwalControl/SimpanAntrianTelemedicine/?pageId=')?><?=$strPageId?>",
            type: "POST",
            timeout: 5* 60 * 1000,
            success: function(result){
                if(result.bookingCode){
                    toastr.success('Kode Booking '+result.bookingCode, 'Sukses', {timeOut: 60000});
                }else{
                    toastr.warning('Terjadi kesalahan', 'Peringatan');
                }
            },
            error: function(xhr,status,error){alert('error')},
            beforeSend: function(xhr){
                $('#kirimDataAntrian').hide();
            },
            complete: function(xhr,status){
                $('#kirimDataAntrian').show();
            }
        })
    })
</script>