<?php
$mr = isset($_SESSION['pasien']['mr']) ? $_SESSION['pasien']['mr'] : "";
if($mr){
  $objPatient = HmisRefPatient::LoadByMr($mr);
}
?>
<div class="container">
  <div class="jumbotron">
    <h3>Ganti Password</h3>
    <?php if($objPatient->LoginPassword){ ?>
      Password lama:
      <input type="password" id="passwordlama" class="form-control" autocomplete="off" >
    <?php } ?>
    Password Baru:
    <input type="password" id="passwordbaru" class="form-control" autocomplete="off" >
    Konfirmasi Password Baru:
    <input type="password" id="passwordbarukonfirm" class="form-control" autocomplete="off" >
    <hr>
    <button type="button" class="btn btn-primary disabled tombol-loading" style="display:none"><i class="fa fa-spinner fa-spin"></i> Simpan</button>
    <button id="simpan" class="btn btn-primary tombol-non-loading">Simpan</button>
  </div>
</div>

<script>
  'use strict';
  var elmPassword = $('#passwordlama');
  var elmPasswordBaru = $('#passwordbaru');
  var elmPasswordKonfirm = $('#passwordbarukonfirm');
  function validasi(){
    if(! elmPasswordBaru.val()){
      elmPasswordBaru.focus();
      toastr.warning('Password Baru Masih Kosong', 'Peringatan');
      return false;
    }
    if(elmPasswordBaru.val() !== elmPasswordKonfirm.val()){
      elmPasswordKonfirm.val('');
      elmPasswordKonfirm.focus();
      toastr.warning('Konfirmasi ulang password anda', 'Peringatan');
      return false;
    }
    return true;
  }

  $('#simpan').click(function(){
      if(! validasi()){
        return false;
      }
      $.ajax({
        type: "POST",
        url: '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/LoginPasien/GantiPassword',
        data: {
                pass : elmPassword.val(),
                passBaru : elmPasswordBaru.val(),
                passBaruKonfirm : elmPasswordKonfirm.val(),
            },
        success: function(data){
            console.log(data);
            if(data.status == 'success'){
                toastr.success(data.message, 'success', {timeOut: 30000});
                setToUrl('pasien-webservice/testing/');
            }else{
                $('#password').focus();
                toastr.error(data.message, 'error');
            }
        },
        error: function(data){
            console.log(data);
            alert('Terjadi kesalahan');
        },
        beforeSend: function(xhr){
            $('.tombol-non-loading').hide();
            $('.tombol-loading').show();
        },
        complete: function(xhr,status){
            $('.tombol-non-loading').show();
            $('.tombol-loading').hide();
        },
    });
  })
  
</script>