<?php
$pageTitle = 'Jadwal Pelayanan Poli';
$controller = 'AntrianControl';
include (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');
?>
<div class="col-md-12">
	<div class="row animated fadeInRight">
		<div class="box">
			<div class="box-body">
                <div class="col-md-12">
                    <div class="row">
                    </div>
                </div>
				<table id="pageTable" class="table table-bordered table-striped table-responsive" width="100%"></table>
				<div id="rowButton" style="display: none">
				</div>
				<div id="tableAction" style="display: none">
                    <div class="form-group">
                        <label class="col-md-3" style="font-weight:bold;">Tanggal</label>
                        <div class="col-md-2">
                            <input tabindex="0" type="text" autocomplete="off" name="tanggal" id="tanggal" class="form-control input input-date" required="required" placeholder="Tanggal" value="<?= date('d-m-Y') ?>" style="">
                        </div>
                    </div> 
                </div>
			</div>
		</div>
	</div>
</div>

<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog modal-sm">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
		  <button type="button" class="close" data-dismiss="modal" style="font-size: 4em">&times;</button>
		  <h4 class="modal-title">&nbsp;</h4>
      </div>
      <div class="modal-body" style="min-height: 95vh">
        <img id="imgdokter" class="img-responsive" alt="foto dokter" style="width:100%; max-height:70vh">
		<h4 id="namaEmployee"></h4>
      </div>
      <!-- <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div> -->
    </div>

  </div>
</div>

<?php
	require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>

<script src="<?= __ASSETS__ ?>/user/js/startup.js"></script>
<script type="text/javascript">
	var table;
	var tableId = 'pageTable';
	var template = $('#rowButton').html();
	var tanggal = $('#tanggal').val();
	$(document).ready(function(){
		table = $('#'+tableId).dataTable({
			'dom':'<"row"<"col-md-6"<"toolbar">><"col-md-6 hidden-xs"f>r><"row"<"col-md-6"i><"col-md-6"p>>t<"row"<"col-md-6"i><"col-md-6"p>>',
			'language': {
				'processing': '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
			},
			'processing': true,
			'serverSide': true,
			'lengthMenu': [100],
			'ajax': {
				'url' :'<?= QApplication::UrlActionCreator('JadwalControl/JadwalOperasional') ?>',
				'type' : 'POST',
                'data' : function(d){
				    d.tanggal = tanggal;
                }
			}
			,'columns':[
                {
                    'title':'Spesialis'
                    ,'data':'Spesialis'
                    ,'width':'20%'
                    ,'searchable':true
                    ,'sortable':true
					,'className': 'hidden-xs'
                }
				,{
					'title':'Nama Dokter'
					,'data':'Dokter'
					,'width':'20%'
					,'searchable':false
					,'sortable':false
                    ,'visible':true
					,'className': 'hidden-xs'
					, 'render' : function(data, type, full, meta){
						var hasil = '';
						data.forEach(function(d){
							hasil += '<a class="namaDokter" data-iddata="'+d.Id+'" data-imgdata="'+d.Foto+'" data-nama="'+d.FirstName+'">'+d.FirstName+'</a>'
							hasil += '<br>'
						})
						return hasil;
					}
				}
				,{
					'title':'Jam Mulai'
					,'data':'Mulai'
					,'width':'10%'
					,'searchable':false
					,'sortable':false
					,'className': 'hidden-xs'
				}
				,{
					'title':'Jam Selesai'
					,'data':'Selesai'
					,'width':'10%'
					,'searchable':false
					,'sortable':false
					,'className': 'hidden-xs'
				}
				,{
					'title':''
					,'data':'DT_RowId'
					,'searchable':false
					,'sortable':false
					,'className': 'visible-xs'
					, 'render' : function(data, type, full, meta){
						var dokter = '<ul>';
						full.Dokter.forEach(function(d){
							dokter += '<li class="namaDokter" data-iddata="'+d.Id+'" data-imgdata="'+d.Foto+'" data-nama="'+d.FirstName+'">'+d.FirstName+'</li>'
						});
						dokter += '</ul>'
						return '<div class="col-md-12">'
                                +'<div class="panel panel-primary" style="margin:0">'
                                    +'<div class="panel-body bg-aqua-gradient">'
										+'<div class="row">'
											+'<div class="col-xs-2">'
												+'<i class="fa fa-2x fa-bookmark"></i>'
											+'</div>'
											+'<div class="col-xs-10"><span class="text-bold">'+full.Spesialis+'</span>'
											+'</div>'
										+'</div>'
										+dokter
										+'<div class="col-xs-12">'
                                        	+'Jadwal Pukul: '+full.Mulai+' - '+full.Selesai
                                        +'</div>'
                                    +'</div>'
                                +'</div>'
                            +'</div>'
					}
				}
			]
			,'order':[[1,'asc']]
			,'drawCallback':function(settings){
				var api = this.api();
				if(api.page && api.page.info() && api.page.info().pages > 1)
				{
					$('.dataTables_paginate').closest('.row').show();
//					$('#pageTable_paginate').parents('.row').first().show();
				}
				else
				{
					$('.dataTables_paginate').closest('.row').hide();
//					$('#pageTable_paginate').parents('.row').first().hide();
				}
			}
		});
		$('#'+tableId+'_wrapper div.toolbar').html($('#tableAction').html());

        // $('#tanggal').change(function(){
		 //    tanggal = $(this).val();
		 //    reload();
        // })

        $('.input-date').datetimepicker({
            mask: '39-19-9999',
            format:'d-m-Y',
            formatDate:'d-m-Y',
            lang: 'id',
            dayOfWeekStart : 1,
            timepicker:false
        });

	});

	$(document).off('change','#tanggal').on('change','#tanggal',function(){
        tanggal = $(this).val();
        reload();
    });

	$(".dataTables_filter input")
		.unbind()
		.bind('keyup change', function (e) {
			if (e.keyCode == 13 || this.value == '') {
				table.api().search(this.value).draw();
			}
		});


	function reload()
	{
		table.api().ajax.reload();
	}

	$(document).off('click','.namaDokter').on('click','.namaDokter',function(){
        var img = $(this).data('imgdata');
        var nama = $(this).data('nama');
		img ? $('#imgdokter').show() : $('#imgdokter').hide();
		$('#imgdokter').attr('src', img);
		$('#namaEmployee').text(nama);
		$('#myModal').modal('show');
		console.log(img)
    });

</script>