<?php

$rm = null;
$lahir = null;
if(isset($_SESSION['pasien']['mr'])){
    $objPatient = HmisRefPatient::LoadByMr($_SESSION['pasien']['mr']);
    if($objPatient){
        $rm = $objPatient->Mr;
        $lahir = $objPatient->DateOfBirth ? $objPatient->DateOfBirth->PhpDate('d-m-Y') : '';
    }
}

?>
<div class="container" id="loginArea">
    <div class="jumbotron" style="background-color: #fff;">
        <div class="login-logo">
            <a href="#"><b>S</b>urvey</a>
        </div>
        <!-- /.login-logo -->
        <div class="login-box-body">
            <p class="login-box-msg">Isi data berikut ini terlebih dahulu</p>

            <form action="#" method="post">
                <?php if(!$rm || !$lahir){ ?>
                <div class="form-group has-feedback">
                    <input type="text" id="mr" class="form-control" placeholder="Nomor RM" maxlength="10">
                    <span class="glyphicon glyphicon-user form-control-feedback"></span>
                </div>
                <div class="form-group has-feedback">
                    <input type="text" id="lahir" class="form-control input-date" placeholder="Tanggal Lahir" maxlength="10">
                    <span class="glyphicon glyphicon-calendar form-control-feedback"></span>
                </div>
                <?php }else{ ?>
                    <input type="hidden" id="mr" value="<?= $rm ?>">
                    <input type="hidden" id="lahir" value="<?= $lahir ?>">
                <?php } ?>
                <div class="form-group has-feedback">
                    <input type="text" id="pelayanan" class="form-control input-date" placeholder="Tanggal Pelayanan" maxlength="10">
                    <span class="glyphicon glyphicon-calendar form-control-feedback"></span>
                </div>
                <div class="row">
                    <div class="col-xs-8">
                        <div class="checkbox icheck">
                            <!-- <label>
              <input type="checkbox"> Remember Me
            </label> -->
                        </div>
                    </div>
                    <!-- /.col -->
                    <div class="col-xs-4">
                        <a href="#" id="btnMulai" class="btn btn-primary btn-block btn-flat">Mulai</a>
                        <a href="#" id="btnMulaiLoading" class="btn btn-primary btn-block btn-flat disabled" style="display:none">Memproses</a>
                    </div>
                    <!-- /.col -->
                </div>
            </form>

        </div>
        <!-- /.login-box-body -->
    </div>
</div>
    <!-- /.login-box -->

    <!-- --------------------------------------------------------------------- -->


    <div class="row" id="tableArea" style="display:none">
        <div class="col-md-3"></div>
        <div class="col-md-6">
            <div class="box box-solid box-default" style="padding:5px;">
                <!-- <div class="table-responsive"> -->
                    <table id="tabelNursing" class="table" style="width:100%">
                    </table>
                <!-- </div> -->
            </div>
        </div>
        <div class="col-md-3"></div>
    </div>


    <!-- --------------------------------------------------------------------- -->
<div class="container" id="surveyArea" style="display:none">
    <div class="jumbotron" style="background-color: #fff;">
        <div class="login-logo">
            <a href="#"><b>S</b>urvey</a>
        </div>
        <!-- /.login-logo -->
        <div class="login-box-body">
            <div>
                <b>Nama:</b> <br>
                <input disabled class="form-control" id="identitas-nama"/>
            </div>
            <div>
                <b>No RM:</b> <br>
                <input disabled class="form-control" id="identitas-rm"/>
            </div>
            <div>
                <b>Tgl. Lahir:</b> <br>
                <input disabled class="form-control" id="identitas-lahir"/>
            </div>
            <div>
                <b>Alamat:</b> <br>
                <input disabled class="form-control" id="identitas-alamat"/>
            </div>
        </div>
        <div class="login-box-body">
            <p class="login-box-msg">Silahkan mengisi survey</p>

            <form action="#" method="post">
                <input type="hidden" id="primary">
                <div>
                    <b>Pelayanan Pendaftaran:</b> <br>
                    <select id="pelayananPendaftaran" class="form-control">
                        <option value="">belum memilih..</option>
                        <option value="PUAS">PUAS</option>
                        <option value="CUKUP">CUKUP</option>
                        <option value="MENGECEWAKAN">MENGECEWAKAN</option>
                    </select>
                </div>
                <div>
                    <b>Pelayanan Dokter:</b> <br>
                    <select id="pelayananDokter" class="form-control">
                        <option value="">belum memilih..</option>
                        <option value="PUAS">PUAS</option>
                        <option value="CUKUP">CUKUP</option>
                        <option value="MENGECEWAKAN">MENGECEWAKAN</option>
                    </select>
                </div>
                <div class="bukanRj">
                    <b>Pelayanan Perawatan:</b> <br>
                    <select id="pelayananPerawatan" class="form-control">
                        <option value="">belum memilih..</option>
                        <option value="PUAS">PUAS</option>
                        <option value="CUKUP">CUKUP</option>
                        <option value="MENGECEWAKAN">MENGECEWAKAN</option>
                    </select>
                </div>
                <div>
                    <b>Pelayanan Apotek:</b> <br>
                    <select id="pelayananApotek" class="form-control">
                        <option value="">belum memilih..</option>
                        <option value="PUAS">PUAS</option>
                        <option value="CUKUP">CUKUP</option>
                        <option value="MENGECEWAKAN">MENGECEWAKAN</option>
                    </select>
                </div>
                <div class="khususInap">
                    <b>Pelayanan Makanan:</b> <br>
                    <select id="pelayananMakanan" class="form-control">
                        <option value="">belum memilih..</option>
                        <option value="PUAS">PUAS</option>
                        <option value="CUKUP">CUKUP</option>
                        <option value="MENGECEWAKAN">MENGECEWAKAN</option>
                    </select>
                </div>
                <div class="khususInap">
                    <b>Pelayanan Sarana Ruangan, Tempat Tidur:</b> <br>
                    <select id="pelayananSaranaRuangan" class="form-control">
                        <option value="">belum memilih..</option>
                        <option value="PUAS">PUAS</option>
                        <option value="CUKUP">CUKUP</option>
                        <option value="MENGECEWAKAN">MENGECEWAKAN</option>
                    </select>
                </div>
                <div>
                    <b>Saran:</b> <br>
                    <textarea id="saran" class="form-control"></textarea>
                </div>
                <div class="responArea callout callout-info lead" style="margin-top:10px">
                    <h4>Respon Survey</h4>
                    <p id="responSurvey" style="white-space: pre-wrap;">
                    </p>
                </div>
                <hr>
                <div class="row">
                    <div class="col-xs-8">
                        <div class="checkbox icheck">
                            <!-- <label>
              <input type="checkbox"> Remember Me
            </label> -->
                        </div>
                    </div>
                    <!-- /.col -->
                    <div class="col-xs-4">
                        <a href="#" id="kirimSurvey" class="btn btn-primary btn-block btn-flat">Kirim</a>
                        <!-- <a href="#" onclick="window.location.reload()" class="btn btn-danger btn-block btn-flat">Batal</a> -->
                    </div>
                    <!-- /.col -->
                </div>
            </form>

        </div>
        <!-- /.login-box-body -->
    </div>
</div>
    <!-- /.login-box -->

    <script>
        $('.input-date').datepicker({
            format: "dd-mm-yyyy",
            autoclose: true,
            endDate: null
        });

        $('.input-date').inputmask('99-99-9999');
        $('.input-date').blur(function(elm) {
            if ($(elm.target).val()) {
                var cekTanggal = $(elm.target).val();

                var aDate = moment(cekTanggal, 'DD-MM-YYYY', true);
                var isDateValid = aDate.isValid();
                if (!isDateValid) {
                    toastr.warning('Format Tanggal Tidak Sesuai', 'Peringatan');
                    $(elm.target).focus();
                }
            }
        });

        //----------------------------------------
        var tableNursing;

        function ambilDataPelayanan(){
            var mr = $('#mr').val();
            var tanggalLahir = $('#lahir').val();
            var tanggalPelayanan = $('#pelayanan').val();            
            // var url = "<?= QApplication::UrlActionCreator('SurveyPelayanan/AmbilDataPelayanan')?>";
            // var url = '<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/SurveyPelayanan/AmbilDataPelayanan';
            var url = '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/SurveyPelayanan/AmbilDataPelayanan';

            tableNursing = $('#tabelNursing').DataTable( {
                "dom" : 'tp'
                ,"processing": true
                ,"serverSide": true
                ,'ordering' : false
                ,'order': [[0,'asc']]
                ,"ajax": {
                    //
                    'url' : url
                    , 'type' : 'POST'
                    , 'data': {
                        'mr' : mr,
                        'tanggalLahir' : tanggalLahir,
                        'tanggalPelayanan' : tanggalPelayanan,
                    }
                    ,"dataSrc": function(json){
                        $('#btnMulai').show();
                        $('#btnMulaiLoading').hide();
                        if(json.status == "timeout"){
                            window.location.reload();
                        }
                        if(json.status == 'failed'){
                            toastr.error(json.message, 'error', {timeOut: 30000});
                        }else if(json.data.length === 0){
                            toastr.error('Tanggal Periksa/Perawatan Salah', 'error', {timeOut: 30000});
                        }
                        if(json.recordsTotal == 0){
                            console.log('tidak ditemukan data');
                            // toastr.error('Data tidak ditemukan', 'error', {timeOut: 30000});
                            if($.fn.DataTable.isDataTable( '#tabelNursing' )){
                                tableNursing.destroy();
                            }
                        }else if(json.recordsTotal == 1){
                            console.log('data cuma 1');
                            $('#loginArea').hide();
                            var id = json.data[0].Id;
                            var category = json.data[0].NursingCategory;
                            siapkanFormSurvey(id, category, json.data[0]);
                            $('#surveyArea').show();
                        }else{
                            $('#loginArea').hide();
                            $('#tableArea').show();
                        }
                        return json.data
                    }
                    //
                }
                , "columns": [
                    {
                        'title': 'Id'
                        , 'data': 'Id'
                        ,'visible': false
                    }
                    // ,{
                    //     'title': 'Nama'
                    //     , 'data': 'FullName'
                    // }
                    // ,{
                    //     'title': 'No RM'
                    //     , 'data': 'Mr'
                    // }
                    ,{
                        'title': 'Ruang/Poli'
                        , 'data': 'DepartmentName'
                    }
                    ,{
                        'title': 'Tanggal Daftar'
                        , 'data': 'NursingStartDate'
                    }
                    ,{
                        'title': ''
                        , 'data': 'Id'
                        , "render": function(data, type, full, meta){
                            return '<button data-pk="'+data+'" data-category="'+full.NursingCategory+'" class="btn btn-primary pilihData">Pilih</button>';
                        }
                    }
                ]
            } );
        }

        $('#btnMulai').click(function(){
            console.log('clik btnMulai');
            var mr = $('#mr').val();
            var tanggalLahir = $('#lahir').val();
            var tanggalPelayanan = $('#pelayanan').val();
            if(! mr){
                toastr.warning('No RM masih kosong', 'Peringatan');
                $('#mr').focus();
                return
            }
            if(! tanggalLahir){
                toastr.warning('Tanggal Lahir masih kosong', 'Peringatan');
                $('#lahir').focus();
                return
            }
            if(! tanggalPelayanan){
                toastr.warning('Tanggal Pelayanan masih kosong', 'Peringatan');
                $('#pelayanan').focus();
                return
            }
            $('#btnMulai').hide();
            $('#btnMulaiLoading').show();
            ambilDataPelayanan();
        });

        $(document).off('click', '.pilihData').on('click', '.pilihData',function(elm) {
            var data = tableNursing.row( $(this).parents('tr') ).data();
            
            console.log('clik pilihData')
            var id = $(elm.target).data('pk');
            var category = $(elm.target).data('category');
            if(!id){
                alert('Terjadi kesalahan, silahkan refresh browser terlebih dahulu');
                return null;
            }
            siapkanFormSurvey(id, category, data);
            $('#tableArea').hide();
            $('#surveyArea').show();
        });

        function siapkanFormSurvey(id, category, data){
            console.table(data);
            $('#primary').val(id);
            //identitas
            $('#identitas-nama').val(data.FirstName);
            $('#identitas-rm').val(data.Mr);
            $('#identitas-lahir').val(data.DateOfBirth);
            $('#identitas-alamat').val(data.Address);
            //
            $('#pelayananPendaftaran').val(data.PelayananPendaftaran);
            $('#pelayananDokter').val(data.PelayananDokter);
            $('#pelayananApotek').val(data.PelayananApotek);
            $('#pelayananPerawatan').val(data.PelayananPerawatan);
            $('#pelayananMakanan').val(data.PelayananMakanan);
            $('#pelayananSaranaRuangan').val(data.PelayananSaranaRuangan);
            $('#saran').val(data.SurveySaran);
            $('#responSurvey').html(data.SurveyRespon);
            if(data.SurveyRespon){
                $('.responArea').show();
            }else{
                $('.responArea').hide();
            }
            if(category != '1'){
                $('.bukanRj').show();
            }else{
                $('.bukanRj').hide();
            }
            if(category == '3'){
                $('.khususInap').show();
            }else{
                $('.khususInap').hide();
            }
            //batasan
            if(data.Kedaluwarsa){
                $('input, select, textarea').prop( "disabled", true );
                $('#kirimSurvey').hide();
            }
        }

        function prosesKirimSurvey(){
            $.ajax({
                type: "POST",
                url: '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/SurveyPelayanan/SimpanSurvey',
                data: {
                        Id : $('#primary').val(),
                        pelayananPendaftaran : $('#pelayananPendaftaran').val(),
                        pelayananDokter : $('#pelayananDokter').val(),
                        pelayananApotek : $('#pelayananApotek').val(),
                        pelayananPerawatan : $('#pelayananPerawatan').val(),
                        pelayananMakanan : $('#pelayananMakanan').val(),
                        pelayananSaranaRuangan : $('#pelayananSaranaRuangan').val(),
                        saran : $('#saran').val(),
                    },
                success: function(data){
                    console.log(data);
                    if(data.status == 'success'){
                        $('#surveyArea').hide();
                        $('#loginArea').show();
                        toastr.success(data.message, 'success', {timeOut: 30000});
                    }else{
                        // alert('Gagal');
                        toastr.error(data.message, 'error');
                    }
                },
                error: function(data){
                    console.log(data);
                    alert('Terjadi kesalahan');
                }
            });
        }

        $('#kirimSurvey').click(function(){
            console.log('klik kirim')
            if($.fn.DataTable.isDataTable( '#tabelNursing' )){
                tableNursing.destroy();
            }
            prosesKirimSurvey();
        });

    </script>
